org.apache.fop.render.afp

## Class AFPForeignAttributeReader

- java.lang.Object
- - org.apache.fop.render.afp.AFPForeignAttributeReader

-     public class AFPForeignAttributeReader
      extends Object

  Parses any AFP foreign attributes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlgraphics.util.QName` | `RESOURCE_GROUP_URI` the resource-group-file attribute
    `static org.apache.xmlgraphics.util.QName` | `RESOURCE_LEVEL` the resource-level attribute
    `static org.apache.xmlgraphics.util.QName` | `RESOURCE_NAME` the resource-name attribute

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPForeignAttributeReader()` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AFPResourceInfo` | `getResourceInfo(Map<org.apache.xmlgraphics.util.QName,String> foreignAttributes)` Returns the resource information
    `AFPResourceLevel` | `getResourceLevel(Map<org.apache.xmlgraphics.util.QName,String> foreignAttributes)` Returns the resource level

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RESOURCE_NAME

          public static final org.apache.xmlgraphics.util.QName RESOURCE_NAME

      the resource-name attribute

    - #### RESOURCE_LEVEL

          public static final org.apache.xmlgraphics.util.QName RESOURCE_LEVEL

      the resource-level attribute

    - #### RESOURCE_GROUP_URI

          public static final org.apache.xmlgraphics.util.QName RESOURCE_GROUP_URI

      the resource-group-file attribute

  - ### Constructor Detail

    - #### AFPForeignAttributeReader

          public AFPForeignAttributeReader()

      Main constructor

  - ### Method Detail

    - #### getResourceInfo

          public AFPResourceInfo getResourceInfo(Map<org.apache.xmlgraphics.util.QName,String> foreignAttributes)

      Returns the resource information
      Parameters:
        `foreignAttributes` - the foreign attributes
      Returns:
        the resource information

    - #### getResourceLevel

          public AFPResourceLevel getResourceLevel(Map<org.apache.xmlgraphics.util.QName,String> foreignAttributes)

      Returns the resource level
      Parameters:
        `foreignAttributes` - the foreign attributes
      Returns:
        the resource level

Copyright © 2023 Apache Software Foundation. All rights reserved.